Subject: bug#49959: Diff file (Was: Re: bug#49959: 28.0.50; Emacs got quasi freeze)

From: Masaru Nomiya <[email-masked]>
Date: Wed, 01 Sep 2021 09:21:14 +0900

Hello,

In the Message; 

  Subject    : bug#49959: Diff file (Was: Re: bug#49959: 28.0.50; Emacs got quasi freeze)
  Message-ID : <[email-masked]>
  Date & Time: Tue, 31 Aug 2021 18:51:35 +0200

[MR] == martin rudalics <[email-masked]> has written:

MN> > The problem maybe be fixed, I feel.
MN> >
MN> > Sorry, I don't know the confirming method.
MN> > But, I've never got the rendering issue since applying your patch.
MN> >
MN> > Is this fine?

MR>  Hopefully.  It doesn't break the behavior under xfce/xfwm4.  I yet have
MR>  to test with Gnome and Plasma.  Meanwhile please do the following:

MR>  Apply the attached patch which adds a few diagnostics.  Then evaluate

MR>    (setq frame-size-history '(100))

MR>  switch to the other virtual desktop, switch back to the Emacs
MR>  desktop, evaluate

MR>    (frame--size-history frame)
MR>    (pop-to-buffer "*frame-size-history*")

MR>  and tell me what *frame-size-history* contains now.

#<buffer *frame-size-history*>

MR>  Then please do the same with Emacs _not_ focused before switching to the
MR>  other desktop.

MR>  And please also try the following: With emacs -Q put into *scratch*
MR>  the lines

MR>  (setq frame (make-frame))
MR>  (frame-visible-p frame)
MR>  (make-frame-invisible frame)
MR>  (make-frame-visible frame)
MR>  (iconify-frame frame)

MR>  Now use C-x C-e after any of these forms to first make FRAME and, for
MR>  example, make FRAME invisible, then make it iconified, then make it
MR>  visible and so on.  After every step use the `frame-visible-p' form to
MR>  check what Emacs thinks FRAME is.  If you find a transition that you
MR>  think is not correct, please tell me.

The transition is corrext, and FRAME is *scratch*.

Thanks.

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃＼／彡
┗━━┛ "Bill! You married with Computer.
          Not with Me!"
         "No..., with money."